/*
 * Copyright (c) 2016-2020 ARM Limited. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * -----------------------------------------------------------------------------
 *
 * $Revision:   V1.0.2
 *
 * Project:     Event State
 * Title:       MyEventComponent.c
 *
 * -----------------------------------------------------------------------------
 */

#include <stdint.h>
#include <stdio.h>
#include <string.h>

#define MyEvtC_DEBUG                    // enable debug events

#include "MyEventComponent.h"
#include "cmsis_os2.h"                  // ARM::CMSIS:RTOS2:Keil RTX5


void event_state (void *argument) {
  unsigned int i, h, name;

  name = (unsigned int) argument;
  h = name + 0x10000000;

  osDelay(100);
  EvrMyC1_Create (h, name);
  for (i=0; i < 2; i++)  {
    osDelay(100);
    EvrMyC1_Active (h);
    osDelay(100);
    EvrMyC1_Waiting (h);
    osDelay(100);
    EvrMyC1_Idle (h);
    osDelay(100);
  }

  EvrMyC1_Clear (h);
  osDelay(100);
  EvrMyC1_Delete (h);

  while (1) {
    osDelay (100);
  }
}


void event_state_init (void)  {
  EvrMyC2_Reset ();                     // Event on component initalization
}

