/*
 * Copyright (c) 2016-2020 ARM Limited. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * -----------------------------------------------------------------------------
 *
 * $Revision:   V1.0.2
 *
 * Project:     Event State
 * Title:       main.c
 *
 * -----------------------------------------------------------------------------
 */

#include "RTE_Components.h"             // Component selection
#include CMSIS_device_header

#include "EventRecorder.h"              // Keil::Compiler:Event Recorder
#include "MyEventComponent.h"

#include "cmsis_os2.h"                  // ARM::CMSIS:RTOS2:Keil RTX5


char *name1 = "MyName1";
char *name2 = "MyName2";

osThreadId_t event_state1_id;
osThreadId_t event_state2_id;


int main (void) {

  SystemCoreClockUpdate();                      // System Initialization

  osKernelInitialize();                         // initialize CMSIS-RTOS

  event_state_init ();                          // initialize event state machine
  event_state1_id = osThreadNew(event_state, name1 /* "Instance 1" */, NULL);
  event_state2_id = osThreadNew(event_state, name2 /* "Instance 2" */, NULL);

  osKernelStart ();
}
