/*
 * Copyright (c) 2016-2020 ARM Limited. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * -----------------------------------------------------------------------------
 *
 * $Revision:   V1.0.2
 *
 * Project:     MyComponent
 * Title:       MyComponent.h
 *
 * -----------------------------------------------------------------------------
 */

// Component information
struct MyComp_info_t {
  int version;             // component version
  int channels;            // number of communication channels available
  int buffersize;          // size of the communication buffer
};

// Component data
struct MyComp_data_t {
  char buf[256];           // communication buffer
  int  is_free;            // flag: 0=buffer occupied, 1=buffer free
};

extern struct MyComp_info_t MyComp_info;
extern struct MyComp_data_t MyComp_data;

// Initialize function
extern void MyComp_initialize (void);


// Send data string
extern void MyComp_send (char* str);


// Receive data string
extern void MyComp_receive (char* str);

// header file that defines debug events
#include "EvrMyComponent.h"
